Package tigase.auth.impl

## Class PlainCallbackHandler

- java.lang.Object
- - tigase.auth.impl.PlainCallbackHandler

- All Implemented Interfaces:
    `javax.security.auth.callback.CallbackHandler`, `AuthRepositoryAware`, `Aware`, `DomainAware`, `SessionAware`

      public class PlainCallbackHandler
      extends java.lang.Object
      implements javax.security.auth.callback.CallbackHandler, AuthRepositoryAware, DomainAware, SessionAware

  Implementation of CallbackHandler for authentication with SASL PLAIN or using plaintext password.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `domain` |
    `protected BareJID` | `jid` |
    `protected java.util.logging.Logger` | `log` |
    `protected AuthRepository` | `repo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlainCallbackHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(javax.security.auth.callback.Callback[] callbacks)` |
    `protected void` | `handleAuthorizeCallback​(javax.security.sasl.AuthorizeCallback authCallback)` |
    `protected void` | `handleCallback​(javax.security.auth.callback.Callback callback)` |
    `protected void` | `handleNameCallback​(javax.security.auth.callback.NameCallback nc)` |
    `protected void` | `handleRealmCallback​(javax.security.sasl.RealmCallback rc)` |
    `protected void` | `handleVerifyPasswordCallback​(VerifyPasswordCallback pc)` |
    `void` | `setAuthRepository​(AuthRepository repo)` | Sets AuthRepository.
    `void` | `setDomain​(java.lang.String domain)` | Sets name of domain from XMPP Stream.
    `void` | `setSession​(XMPPResourceConnection session)` | Sets XMPP Session.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### domain

          protected java.lang.String domain

    - #### jid

          protected BareJID jid

    - #### log

          protected java.util.logging.Logger log

    - #### repo

          protected AuthRepository repo

  - ### Constructor Detail

    - #### PlainCallbackHandler

          public PlainCallbackHandler()

  - ### Method Detail

    - #### handle

          public void handle​(javax.security.auth.callback.Callback[] callbacks)
                      throws java.io.IOException,
                             javax.security.auth.callback.UnsupportedCallbackException

      Specified by:
        `handle` in interface `javax.security.auth.callback.CallbackHandler`
      Throws:
        `java.io.IOException`
        `javax.security.auth.callback.UnsupportedCallbackException`

    - #### setAuthRepository

          public void setAuthRepository​(AuthRepository repo)

      Description copied from interface: `AuthRepositoryAware`
      Sets AuthRepository.
      Specified by:
        `setAuthRepository` in interface `AuthRepositoryAware`
      Parameters:
        `repo` - AuthRepository.

    - #### setDomain

          public void setDomain​(java.lang.String domain)

      Description copied from interface: `DomainAware`
      Sets name of domain from XMPP Stream.
      Specified by:
        `setDomain` in interface `DomainAware`
      Parameters:
        `domain` - domain name

    - #### setSession

          public void setSession​(XMPPResourceConnection session)

      Description copied from interface: `SessionAware`
      Sets XMPP Session.
      Specified by:
        `setSession` in interface `SessionAware`
      Parameters:
        `session` - XMPP session.

    - #### handleAuthorizeCallback

          protected void handleAuthorizeCallback​(javax.security.sasl.AuthorizeCallback authCallback)

    - #### handleCallback

          protected void handleCallback​(javax.security.auth.callback.Callback callback)
                                 throws javax.security.auth.callback.UnsupportedCallbackException,
                                        java.io.IOException

      Throws:
        `javax.security.auth.callback.UnsupportedCallbackException`
        `java.io.IOException`

    - #### handleNameCallback

          protected void handleNameCallback​(javax.security.auth.callback.NameCallback nc)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### handleRealmCallback

          protected void handleRealmCallback​(javax.security.sasl.RealmCallback rc)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### handleVerifyPasswordCallback

          protected void handleVerifyPasswordCallback​(VerifyPasswordCallback pc)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`